{
  "$schema": "https://turborepo.com/schema.json",
  "globalDependencies": ["**/.env.*local"],
  "globalEnv": [
    "NODE_ENV",
    "SENTRY_AUTH_TOKEN",
    "NEXT_PUBLIC_SITE_URL",
    "NEXT_PUBLIC_CONVEX_URL",
    "NEXT_PUBLIC_PLAUSIBLE_URL",
    "NEXT_PUBLIC_SENTRY_DSN",
    "NEXT_PUBLIC_SENTRY_URL",
    "NEXT_PUBLIC_SENTRY_ORG",
    "NEXT_PUBLIC_SENTRY_PROJECT_NAME",
    "CONVEX_SELF_HOSTED_URL",
    "CONVEX_SELF_HOSTED_ADMIN_KEY",
    "CONVEX_SITE_URL",
    "USESEND_API_KEY",
    "AUTH_AUTHENTIK_ID",
    "AUTH_AUTHENTIK_SECRET",
    "AUTH_AUTHENTIK_ISSUER"
  ],
  "globalPassThroughEnv": [
    "NODE_ENV"
  ],
  "ui": "tui",
  "tasks": {
    "topo": {
      "dependsOn": ["^topo"]
    },
    "build": {
      "dependsOn": ["^build"],
      "outputs": [".cache/tsbuildinfo.json", "dist/**"]
    },
    "dev": {
      "cache": false,
      "persistent": false
    },
    "dev:tunnel": {
      "cache": false,
      "persistent": false
    },
    "format": {
      "outputs": [".cache/.prettiercache"],
      "outputLogs": "new-only"
    },
    "lint": {
      "dependsOn": ["^topo", "^build"],
      "outputs": [".cache/.eslintcache"]
    },
    "typecheck": {
      "dependsOn": ["^topo", "^build"],
      "outputs": [".cache/tsbuildinfo.json"]
    },
    "clean": {
      "cache": false
    },
    "//#clean": {
      "cache": false
    },
    "ui-add": {
      "cache": false,
      "interactive": true
    }
  }
}
